<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{A782B23E-BE6D-4F51-B5CB-5CD259BA97CC}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>BWP.WinFormControl</RootNamespace>
    <AssemblyName>BWP.WinFormControl</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Forks.JsonRpc.Client, Version=1.0.0.0, Culture=neutral, PublicKeyToken=7254430f49d10aae, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\..\tsref\Debug\Forks.JsonRpc.Client.dll</HintPath>
    </Reference>
    <Reference Include="PresentationCore" />
    <Reference Include="PresentationFramework" />
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xaml" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
    <Reference Include="WindowsBase" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="BoolToVisibilityConverter.cs" />
    <Compile Include="Calendar.xaml.cs">
      <DependentUpon>Calendar.xaml</DependentUpon>
    </Compile>
    <Compile Include="ComboBoxHelper.cs" />
    <Compile Include="ComponentUtil.cs" />
    <Compile Include="PrintAPI.cs" />
    <Compile Include="UComboBox2.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="UMessageBox.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="UMessageBox.Designer.cs">
      <DependentUpon>UMessageBox.cs</DependentUpon>
    </Compile>
    <Compile Include="UTabControl.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="WeightDataFormat\DataFormatBase.cs" />
    <Compile Include="WeightDataFormat\IND560DataFormat.cs" />
    <Compile Include="WeightDataFormat\Xk3124DataFormat.cs" />
    <Compile Include="WeightDataFormat\Xk3190A9DataFormat.cs" />
    <Compile Include="WeightDataFormat\Xk3190D10DataFormat.cs" />
    <Compile Include="NumberPad.xaml.cs">
      <DependentUpon>NumberPad.xaml</DependentUpon>
    </Compile>
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="UComboBox.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="UDataGridView.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="UDatePicker.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="UTextBoxWithPad.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="VirtualKeyPad.xaml.cs">
      <DependentUpon>VirtualKeyPad.xaml</DependentUpon>
    </Compile>
    <Compile Include="WeightControl.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="WeightControl.Designer.cs">
      <DependentUpon>WeightControl.cs</DependentUpon>
    </Compile>
    <Compile Include="User32ClassUtil.cs" />
    <Compile Include="WordPair.cs" />
  </ItemGroup>
  <ItemGroup>
    <Page Include="Calendar.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="NumberPad.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="VirtualKeyPad.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Images\today.png" />
    <EmbeddedResource Include="UMessageBox.resx">
      <DependentUpon>UMessageBox.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="WeightControl.resx">
      <DependentUpon>WeightControl.cs</DependentUpon>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Images\stop.png" />
    <EmbeddedResource Include="Images\working.png" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>